// SSpot.h: Schnittstelle fr die Klasse SSpot.
//
//////////////////////////////////////////////////////////////////////

#ifndef SSPOT_H
#define SSPOT_H

#include "sbmptexture.h"

class SSpot
{
public:
	void toggleAnimation();
	void dumpInfo();
	void switchTexture();
	void move(float x, float y);
	void endDraw();
	void beginDraw(float frametime);
	void init();
	SSpot();
	virtual ~SSpot();
protected:
	void loadTextures();
	
	float rotation;
	float position[2];
	SBMPTexture textures[3];

	int currentTexture;
	bool animation;
};

#endif
